#!/bin/bash
set -e

pkg=loguru
CUR_DIR=`pwd`

if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
fi

cp -a ${CUR_DIR}/tests "${AUTOPKGTEST_TMP}"

cd "${AUTOPKGTEST_TMP}"

for py in $(py3versions -s 2> /dev/null)
do echo "Testing with $py in $(pwd):"
    ${py} -m pytest -v
done
